{% extends 'base.html.twig' %}

{% block main_content %}
<div class="container mb-5">
    <div class="mt-4 row justify-content-center">
        <div class="col-12 pt-2 pb-2 rounded white">
            <h2>{{ list_edit_title|trans }}</h2>
            {{ form_start(form, {}) }}
            {{ form_widget(form) }}
            {{ form_end(form) }}
        </div>
    </div>
</div>
{% endblock %}

{% block special_javascript %}
    <script type="text/javascript">
        // Material Select Initialization
        $(document).ready(function() {
            $('.mdb-select').materialSelect();

            // setup an "add a tag" link
            var $addGiftLink = $('<a href="#" class="btn purple-gradient m-0 p-2"><i class="far fa-plus"></i>&nbsp;&nbsp;<i class="far fa-gift"></i></a>');

            // Get the ul that holds the collection of tags
            var $collectionHolder = $('div#gift_list_gifts');
            var $newGiftHolder = $('<div class="row"></div>');

            // add the "add a tag" anchor and li to the tags ul
            $collectionHolder.parent().find('legend').append("&nbsp;&nbsp;&nbsp;&nbsp;").append($addGiftLink);
            $collectionHolder.append($newGiftHolder);

            // count the current form inputs we have (e.g. 2), use that as the new
            // index when inserting a new item (e.g. 2)
            $collectionHolder.data('index', $collectionHolder.find(':input').length);

            $addGiftLink.on('click', function(e) {
                // prevent the link from creating a "#" on the URL
                e.preventDefault();

                // add a new tag form (see code block below)
                addGiftForm($collectionHolder, $newGiftHolder);
            });

            $('#gift_list_gifts > .md-form').each(function(){
                // also add the remove button to existing item
                var removeLink = '<a href="#" class="remove-tag" style="position: absolute;top:2px;right:20px;"><i class="far fa-minus-circle text-danger"></i></a>';
                var $existingGiftWrapper = $('<div class="col-md-4 col-12 mb-3"><div class="p-3 border border-info rounded"></div>' + removeLink + '</div>')
                $(this).appendTo($existingGiftWrapper.find('.border'));
                $newGiftHolder.append($existingGiftWrapper);
                // handle the removal, just for this example
                $('.remove-tag').click(function(e) {
                    e.preventDefault();

                    $(this).parent().remove();

                    return false;
                });
            });

            function addGiftForm($collectionHolder, $newGiftHolder) {
                // Get the data-prototype explained earlier
                var prototype = $collectionHolder.data('prototype');

                // get the new index
                var index = $collectionHolder.data('index');

                // Replace '$$name$$' in the prototype's HTML to
                // instead be a number based on how many items we have
                var newForm = prototype.replace(/__name__/g, index);

                // increase the index with one for the next item
                $collectionHolder.data('index', index + 1);

                // Display the form in the page in an li, before the "Add a tag" link li
                var $newFromWrap = $('<div class="p-3 border border-success rounded"></div>').append(newForm);
                var $newFormLi = $('<div class="col-md-4 col-12 mb-3"></div>').append($newFromWrap);

                // also add a remove button, just for this example
                $newFormLi.append('<a href="#" class="remove-tag" style="position: absolute;top:2px;right:20px;"><i class="far fa-minus-circle text-danger"></i></a>');

                $newGiftHolder.append($newFormLi);

                // handle the removal, just for this example
                $('.remove-tag').click(function(e) {
                    e.preventDefault();

                    $(this).parent().remove();

                    return false;
                });
            }
        });
    </script>
{% endblock %}
